ContestDrop your site, win 2x $500 in credits.Drop your site, share it on X, win 2x $500 in credits.Enter nowEnter now

Edit Domain Records using YAML

View as Markdown
  • PATCH
  • /workspaces
  • /:workspace
  • /domains
  • /:domain_id
  • /yaml

Update domain records from YAML

Request

REQUIRED SCOPES
DOMAIN_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

domain_idrequiredstring
The ID of the domain

Example: "4krmDRPw"

BODY PARAMETERS
yamlstring
The Base64-encoded YAML definition of the domain records. The top-level key is the domain name. The apex SOA and NS records are read-only and must stay as returned by the API

Response

RESPONSE BODY
typestring enum
The type of the domain
Allowed enum:
REGISTERED,
POINTED,
PRIVATE,
CLAIMED
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
namestring
The name of the domain
idstring
The ID of the domain
pointed_viastring[]
auto_renewboolean
Whether the domain is set to auto-renew
transfer_lockboolean
Whether the domain has transfer lock enabled
dnssecboolean
Whether DNSSEC is enabled for the domain
expiry_datestring
The expiration date of the domain registration

Last modified on Oct 7, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/domains/:domain_id/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "yaml": "aW50ZXJuYWwubGFuOgogIHJlY29yZHM6CiAgICAnQCc6CiAgICAtIHR5cGU6IFNPQQogICAgICB2YWx1ZXM6IG5zMS5idWRkeS53b3JrcyBob3N0bWFzdGVyLmJ1ZGR5LndvcmtzIDEgMTA4MDAgMzYwMCA2MDQ4MDAgMzYwMAogICAgLSB0eXBlOiBOUwogICAgICB2YWx1ZXM6IG5zMS5idWRkeS53b3JrcwogICAgLSB0eXBlOiBBCiAgICAgIHZhbHVlczogMTAuMC4wLjEwCiAgICBhcGk6CiAgICAtIHR5cGU6IEEKICAgICAgdmFsdWVzOiAxMC4wLjAuMjAK" }'